Type to search.

Create or update a synonym set

  • PUT /_synonyms/{id}
Auth

Synonym sets are limited to a maximum of 100,000 synonym rules per set by default. This limit is configurable using the synonyms.max_synonym_rules cluster setting.

When an existing synonyms set is updated, the search analyzers that use the synonyms set are reloaded automatically for all indices. This is equivalent to invoking the reload search analyzers API for all indices that use the synonyms set.

For practical examples of how to create or update a synonyms set, refer to the External documentation.

About synonym API examples

Required privileges

Cluster privileges manage_search_synonyms

Path parameters

id string required

The ID of the synonyms set to be created or updated.

Query parameters

append boolean · default: false

If true, the provided synonym rules are appended to the existing set, with matching IDs overwriting existing rules. If false, the entire synonyms set is replaced with the new synonym rules definitions.

Request body

synonyms_set union oneOf required

The synonym rules definitions for the synonyms set.

object or object[]
id string

The identifier for the synonym rule. If you do not specify a synonym rule ID when you create a rule, an identifier is created automatically by Elasticsearch.

synonyms string required

The synonyms that conform the synonym rule in Solr format.

Responses

application/json
result enum required

The update operation result.

Values: created updated deleted not_found noop